#! /bin/sh
#------------------------------------------------------------------------
# /tmp/preinstall.sh  - setup for mediatomb
#
# Creation:     2009-02-06  jk
# Last Update:  2009-06-05  jk
#
# Copyright (c) 2001-2009 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------

needed_base='1.5.4'

clrhome
echo
/usr/local/bin/colecho "Running preinstallation script ..." gn
/usr/local/bin/colecho "----------------------------------" gn


#------------------------------------------------------------------------------
# read eislib
#------------------------------------------------------------------------------
. /var/install/include/eislib



#------------------------------------------------------------------------------
# check base version
#------------------------------------------------------------------------------
if [ ! -f /var/install/bin/check-version ] ||
   [ `/var/install/bin/check-version base $needed_base` == "new" ]
then
    mecho
    mecho
    colecho "The version of eisfair must be $needed_base or higher." rd w brinv
    colecho "Please update your eisfair system first." rd w brinv
    mecho
    mecho
    #anykey
    
    exit 1
fi


#------------------------------------------------------------------------------
# deinstall old package version
#------------------------------------------------------------------------------
if [ -f "/var/install/deinstall/mediatomb" ]
then
    /var/install/deinstall/mediatomb update
fi

mecho
mecho -info "Preinstallation script finished"
mecho

#anykey

exit 0
